Subject: RE: [External] : Re: bug#60252: 29.0.60; help-fns--describe-function-or-command-prompt asks for confirmation

From: Drew Adams <[email-masked]>
Date: Fri, 23 Dec 2022 16:47:19 +0000

> > > I suggest
> > > (define-key minibuffer-local-must-match-map
> > >   (kbd "RET") #'minibuffer-force-complete-and-exit)
> >
> > Why?
> > Needing to do that is something new.  The binding has
> > been `minibuffer-complete-and-exit' since Day One.
> 
> It still does, so I'm not sure what is your point here.

Gregory suggested that different binding, when
Martin asked how to "get the old behavior back".

>From my understanding, "the old behavior" is that
of `minibuffer-complete-and-exit'.  Needing to use
`minibuffer-local-must-match-map' to get "the old
behavior back" sounded odd to me.  But then no, I
don't know what the new (Emacs 29) behavior might be.

I'm not sure what your point is here.